import React, { useState, useEffect, useCallback, useRef } from 'react';
import { FormattedMessage, history, useModel } from 'umi';
import { Spin } from 'antd';
import styles from './index.less';
import Icon from '@/tenants-ui/SgIcon';
import cx from 'classnames';
import NavMenu from '@/sagacare_components/navMenu';

const Runtime: React.FC = () => {
  const { initialState } = useModel('@@initialState');

  return (
    <div className={styles.homewrap}>
      <div className={styles.left}>
        <span className={styles.userName}>你好，{initialState?.currentUser?.name}</span>
      </div>
      <div className={styles.right}>
        <NavMenu></NavMenu>
      </div>
    </div>
  );
};

export default Runtime;
